package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CopySameDataToIcollAction.class */
public class CopySameDataToIcollAction extends LifeAction {
    private List dataFieldList = new LinkedList();
    private String sourceIColl;
    private String targetIColl;

    public String execute(Context context) throws GENEException {
        IndexedCollection iColl = (IndexedCollection) context.get(this.sourceIColl);
        IndexedCollection iCollTwo = (IndexedCollection) context.get(this.targetIColl);
        if (iColl.size() != iCollTwo.size()) {
            throw new TranFailException("复制的集合不相符", false);
        }
        for (int i = 0; i < iCollTwo.size(); i++) {
            KeyedCollection kColl = iColl.getElementAt(i);
            KeyedCollection kCollTwo = iColl.getElementAt(i);
            for (String fieldName : this.dataFieldList) {
                try {
                    kCollTwo.setDataValue(fieldName, kColl.getDataValue(fieldName));
                } catch (Exception unused) {
                    throw new TranFailException("集合相同数据不符", false);
                }
            }
        }
        return "0";
    }

    public void setDataFieldValues(String dataFieldValues) {
        StringTokenizer toke = new StringTokenizer(dataFieldValues, "||");
        while (toke.hasMoreElements()) {
            String fieldName = ((String) toke.nextElement()).trim();
            this.dataFieldList.add(fieldName);
        }
    }

    public String getSourceIColl() {
        return this.sourceIColl;
    }

    public void setSourceIColl(String sourceIColl) {
        this.sourceIColl = sourceIColl;
    }

    public String getTargetIColl() {
        return this.targetIColl;
    }

    public void setTargetIColl(String targetIColl) {
        this.targetIColl = targetIColl;
    }
}
